List all Articles
Fetch knowledge_articles
GET
/
v1
/
articles
List all Articles
curl --request GET \
--url https://api.siit.io/v1/articles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/articles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"count": 123,
"current_page": 123,
"next_page_link": "<string>",
"per_page": 20,
"previous_page_link": "<string>",
"total": 123
},
"results": [
{
"uid": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"author": "<string>",
"author_uid": "<string>",
"body": "<string>",
"body_markdown": "<string>",
"category": "<string>",
"category_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"external_url": "<string>",
"last_editor": "<string>",
"last_editor_uid": "<string>",
"published": true,
"source": "external",
"subtitle": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Introduction
Notes:- archived Articles are NOT returned by default.
Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags
Free-text search across the Article title and subtitle.
The current page
Number of results retrieved per page.
Filter by Author.
Filter by Categories.
Whether the response should only include draft or published Articles
Whether the response should include archived Articles.
Filter Articles created after a DateTime (ISO 8601).
Filter Articles created before a DateTime (ISO 8601).
Filter Articles updated after a DateTime (ISO 8601).
Filter Articles updated before a DateTime (ISO 8601).
List all Articles

